import { BaseDocumentsVisitor } from 'graphql-codegen-visitor-plugin-common';
import { TypeScriptSelectionSetToObject } from './ts-selection-set-to-object';
import { TypeScriptOperationVariablesToObject } from 'graphql-codegen-typescript';
export class TypeScriptDocumentsVisitor extends BaseDocumentsVisitor {
    constructor(schema, config) {
        super(config, {
            avoidOptionals: config.avoidOptionals || false,
            immutableTypes: config.immutableTypes || false
        }, schema);
        this.setSelectionSetHandler(new TypeScriptSelectionSetToObject(this.scalars, this.schema, this.convertName, this.config.addTypename, this.config.immutableTypes));
        this.setVariablesTransformer(new TypeScriptOperationVariablesToObject(this.scalars, this.convertName, this.config.avoidOptionals, this.config.immutableTypes));
    }
}
//# sourceMappingURL=visitor.js.map